Waiter calls
The calls sent from the tables with the "call the waiter" block. The reason is order, bill or help.
GET https://neoscrew.website/api/waiter-calls/
curl --request GET \
--url 'https://neoscrew.website/api/waiter-calls/' \
--header 'Authorization: Bearer {api_key}'
--url 'https://neoscrew.website/api/waiter-calls/' \
--header 'Authorization: Bearer {api_key}'
| Parameters | Detalles | Descripción |
|---|---|---|
| is_attended | Optional Integer | Only attended (1) or waiting (0) calls. |
| table_number | Optional Integer | Only the calls of this table. |
| biolink_block_id | Optional Integer | Only the calls of this block. |
| program_id | Optional Integer | Only the calls shown on the staff screen of this loyalty program. |
| order_by | Optional String | What field to order the results by. Allowed values are: call_id , datetime. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"program_id": 1,
"table_number": 4,
"reason": "bill",
"is_attended": 0,
"attended_datetime": null,
"datetime": "2026-11-09 16:21:41"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
}
}
GET https://neoscrew.website/api/waiter-calls/{call_id}
curl --request GET \
--url 'https://neoscrew.website/api/waiter-calls/{call_id}' \
--header 'Authorization: Bearer {api_key}'
--url 'https://neoscrew.website/api/waiter-calls/{call_id}' \
--header 'Authorization: Bearer {api_key}'
{
"data": {
"id": 1,
"biolink_block_id": 1,
"program_id": 1,
"table_number": 4,
"reason": "bill",
"is_attended": 0,
"attended_datetime": null,
"datetime": "2026-11-09 16:21:41"
}
}
POST https://neoscrew.website/api/waiter-calls/{call_id}
curl --request POST \
--url 'https://neoscrew.website/api/waiter-calls/{call_id}' \
--header 'Authorization: Bearer {api_key}'
--url 'https://neoscrew.website/api/waiter-calls/{call_id}' \
--header 'Authorization: Bearer {api_key}'
{
"data": {
"is_attended": 1,
"attended_datetime": "2026-11-09 16:21:41",
"id": 1,
"biolink_block_id": 1,
"program_id": 1,
"table_number": 4,
"reason": "bill",
"datetime": "2026-11-09 16:21:41"
}
}